/// <reference types="node" />
export interface OpenOptions {
    bufferSize?: number;
    preallocatedBuffer?: Buffer;
}
export declare class Reader {
    private fileHandle;
    private isOpen;
    private buffer;
    private bufferEod;
    private bufferFilePos;
    private currentFilePos;
    private eof;
    private blockSize;
    static open(fileName: string, options?: OpenOptions): Promise<Reader>;
    close(): Promise<void>;
    get(length: number): Promise<Buffer | undefined>;
    advance(length: number): void;
    private loadDataIntoBuffer;
    private moveBufferDataDown;
    get filePosition(): number;
}
